public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ulrich Müller" <ulm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-editors/emacs/
Date: Tue, 28 Mar 2023 13:01:36 +0000 (UTC)	[thread overview]
Message-ID: <1680008143.ba7cc5e2b5850273eebdeb893e879099a8cef646.ulm@gentoo> (raw)

commit:     ba7cc5e2b5850273eebdeb893e879099a8cef646
Author:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Tue Mar 28 12:55:43 2023 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Tue Mar 28 12:55:43 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ba7cc5e2

app-editors/emacs: Set INFOPATH env variable in site-init file

... and leave the Info-directory-list variable alone.

Closes: https://bugs.gentoo.org/903147
Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>

 ...emacs-28.3_rc1.ebuild => emacs-25.3-r17.ebuild} | 273 ++++-----------------
 ...emacs-28.3_rc1.ebuild => emacs-26.3-r14.ebuild} | 216 +++-------------
 ...emacs-28.3_rc1.ebuild => emacs-27.2-r12.ebuild} | 117 +--------
 ...{emacs-28.3_rc1.ebuild => emacs-28.2-r7.ebuild} |  24 +-
 ...cs-28.3_rc1.ebuild => emacs-28.3_rc1-r1.ebuild} |   3 +-
 app-editors/emacs/emacs-29.0.9999-r1.ebuild        |   3 +-
 app-editors/emacs/emacs-30.0.9999.ebuild           |   3 +-
 7 files changed, 97 insertions(+), 542 deletions(-)

diff --git a/app-editors/emacs/emacs-28.3_rc1.ebuild b/app-editors/emacs/emacs-25.3-r17.ebuild
similarity index 53%
copy from app-editors/emacs/emacs-28.3_rc1.ebuild
copy to app-editors/emacs/emacs-25.3-r17.ebuild
index f27c55f138e8..bba808a9aa66 100644
--- a/app-editors/emacs/emacs-28.3_rc1.ebuild
+++ b/app-editors/emacs/emacs-25.3-r17.ebuild
@@ -3,75 +3,32 @@
 
 EAPI=8
 
-inherit autotools elisp-common readme.gentoo-r1 toolchain-funcs
-
-if [[ ${PV##*.} = 9999 ]]; then
-	inherit git-r3
-	EGIT_REPO_URI="https://git.savannah.gnu.org/git/emacs.git"
-	EGIT_BRANCH="emacs-28"
-	EGIT_CHECKOUT_DIR="${WORKDIR}/emacs"
-	S="${EGIT_CHECKOUT_DIR}"
-	SLOT="${PV%%.*}-vcs"
-else
-	# FULL_VERSION keeps the full version number, which is needed in
-	# order to determine some path information correctly for copy/move
-	# operations later on
-	FULL_VERSION="${PV%%_*}"
-	SRC_URI="mirror://gnu/emacs/${P}.tar.xz"
-	S="${WORKDIR}/emacs-${FULL_VERSION}"
-	# PV can be in any of the following formats:
-	# 27.1                 released version (slot 27)
-	# 27.1_rc1             upstream release candidate (27)
-	# 27.0.9999            live ebuild (slot 27-vcs)
-	# 27.0.90              upstream prerelease snapshot (27-vcs)
-	# 27.0.50_pre20191223  snapshot by Gentoo developer (27-vcs)
-	if [[ ${PV} == *_pre* ]]; then
-		SRC_URI="https://dev.gentoo.org/~ulm/distfiles/${P}.tar.xz"
-		S="${WORKDIR}/emacs"
-	elif [[ ${PV//[0-9]} != "." ]]; then
-		SRC_URI="https://alpha.gnu.org/gnu/emacs/pretest/${PN}-${PV/_/-}.tar.xz"
-	fi
-	# Patchset from proj/emacs-patches.git
-	SRC_URI+=" https://dev.gentoo.org/~ulm/emacs/${PN}-28.2-patches-2.tar.xz"
-	#PATCHES=("${WORKDIR}/patch")
-	PATCHES=(
-		"${WORKDIR}/patch/01_all_libseccomp.patch"
-		# 02_all_etags.patch already applied upstream
-		"${WORKDIR}/patch/03_all_webkit-4.1.patch"
-	)
-	SLOT="${PV%%.*}"
-	[[ ${PV} == *.*.* ]] && SLOT+="-vcs"
-	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
-fi
+inherit autotools elisp-common flag-o-matic readme.gentoo-r1
 
 DESCRIPTION="The extensible, customizable, self-documenting real-time display editor"
 HOMEPAGE="https://www.gnu.org/software/emacs/"
+SRC_URI="mirror://gnu/emacs/${P}.tar.xz
+	https://dev.gentoo.org/~ulm/emacs/${P}-patches-5.tar.xz"
 
 LICENSE="GPL-3+ FDL-1.3+ BSD HPND MIT W3C unicode PSF-2"
-IUSE="acl alsa aqua athena cairo dbus dynamic-loading games gfile gif +gmp gpm gsettings gtk gui gzip-el harfbuzz imagemagick +inotify jit jpeg json kerberos lcms libxml2 livecd m17n-lib mailutils motif png selinux sound source ssl svg systemd +threads tiff toolkit-scroll-bars wide-int Xaw3d xft +xpm xwidgets zlib"
+SLOT="25"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+IUSE="acl alsa aqua athena cairo dbus dynamic-loading games gfile gif gpm gsettings gtk gui gzip-el imagemagick +inotify jpeg kerberos libxml2 livecd m17n-lib motif png selinux sound source ssl svg tiff toolkit-scroll-bars wide-int Xaw3d xft +xpm zlib"
 
-RDEPEND="app-emacs/emacs-common[games?,gui(-)?]
+RDEPEND="acct-group/mail
+	app-emacs/emacs-common[games?,gui(-)?]
+	net-libs/liblockfile
 	sys-libs/ncurses:0=
 	acl? ( virtual/acl )
 	alsa? ( media-libs/alsa-lib )
 	dbus? ( sys-apps/dbus )
 	games? ( acct-group/gamestat )
-	gmp? ( dev-libs/gmp:0= )
 	gpm? ( sys-libs/gpm )
 	!inotify? ( gfile? ( >=dev-libs/glib-2.28.6 ) )
-	jit? (
-		sys-devel/gcc:=[jit(-)]
-		sys-libs/zlib
-	)
-	json? ( dev-libs/jansson:= )
 	kerberos? ( virtual/krb5 )
-	lcms? ( media-libs/lcms:2 )
 	libxml2? ( >=dev-libs/libxml2-2.2.0 )
-	mailutils? ( net-mail/mailutils[clients] )
-	!mailutils? ( acct-group/mail net-libs/liblockfile )
 	selinux? ( sys-libs/libselinux )
 	ssl? ( net-libs/gnutls:0= )
-	systemd? ( sys-apps/systemd )
 	zlib? ( sys-libs/zlib )
 	gui? ( !aqua? (
 		x11-libs/libICE
@@ -97,19 +54,12 @@ RDEPEND="app-emacs/emacs-common[games?,gui(-)?]
 			x11-libs/libXft
 			x11-libs/libXrender
 			cairo? ( >=x11-libs/cairo-1.12.18[X] )
-			harfbuzz? ( media-libs/harfbuzz:0= )
 			m17n-lib? (
 				>=dev-libs/libotf-0.9.4
 				>=dev-libs/m17n-lib-1.5.1
 			)
 		)
-		gtk? (
-			x11-libs/gtk+:3
-			xwidgets? (
-				net-libs/webkit-gtk:4.1=
-				x11-libs/libXcomposite
-			)
-		)
+		gtk? ( x11-libs/gtk+:3 )
 		!gtk? (
 			motif? (
 				>=x11-libs/motif-2.3:0
@@ -135,8 +85,7 @@ RDEPEND="app-emacs/emacs-common[games?,gui(-)?]
 DEPEND="${RDEPEND}
 	gui? ( !aqua? ( x11-base/xorg-proto ) )"
 
-BDEPEND="sys-apps/texinfo
-	virtual/pkgconfig
+BDEPEND="virtual/pkgconfig
 	gzip-el? ( app-arch/gzip )"
 
 IDEPEND="app-eselect/eselect-emacs"
@@ -145,47 +94,38 @@ RDEPEND+=" ${IDEPEND}"
 
 EMACS_SUFFIX="emacs-${SLOT}"
 SITEFILE="20${EMACS_SUFFIX}-gentoo.el"
+# FULL_VERSION keeps the full version number, which is needed in
+# order to determine some path information correctly for copy/move
+# operations later on
+FULL_VERSION="${PV%%_*}"
+S="${WORKDIR}/emacs-${FULL_VERSION}"
+PATCHES=("${WORKDIR}/patch")
 
 src_prepare() {
-	if [[ ${PV##*.} = 9999 ]]; then
-		FULL_VERSION=$(sed -n 's/^AC_INIT([^,]*,[^0-9.]*\([0-9.]*\).*/\1/p' \
-			configure.ac)
-		[[ ${FULL_VERSION} ]] || die "Cannot determine current Emacs version"
-		einfo "Emacs branch: ${EGIT_BRANCH}"
-		einfo "Commit: ${EGIT_VERSION}"
-		einfo "Emacs version number: ${FULL_VERSION}"
-		[[ ${FULL_VERSION} =~ ^${PV%.*}(\..*)?$ ]] \
-			|| die "Upstream version number changed to ${FULL_VERSION}"
-	fi
-
-	if use jit; then
-		export NATIVE_FULL_AOT=1
-		find lisp -type f -name "*.elc" -delete || die
-
-		# These files ignore LDFLAGS. We assign the variable here, because
-		# for live ebuilds FULL_VERSION doesn't exist in global scope
-		QA_FLAGS_IGNORED="usr/$(get_libdir)/emacs/${FULL_VERSION}/native-lisp/.*"
-
-		# gccjit doesn't play well with ccache or distcc #801580
-		# For now, work around the problem with an explicit LIBRARY_PATH
-		has ccache ${FEATURES} || has distcc ${FEATURES} && tc-is-gcc \
-			&& export LIBRARY_PATH=$("$(tc-getCC)" -print-search-dirs \
-				| sed -n '/^libraries:/{s:^[^/]*::;p}')
-	fi
-
 	default
 
 	# Fix filename reference in redirected man page
-	sed -i -e "/^\\.so/s/etags/&-${EMACS_SUFFIX}/" doc/man/ctags.1 || die
+	sed -i -e "/^\\.so/s/etags/&-${EMACS_SUFFIX}/" doc/man/ctags.1 \
+		|| die "unable to sed ctags.1"
 
 	AT_M4DIR=m4 eautoreconf
+	touch src/stamp-h.in || die
 }
 
 src_configure() {
-	local myconf
+	strip-flags
+	filter-flags -pie					#526948
+
+	if use ia64; then
+		replace-flags "-O[2-9]" -O1		#325373
+	else
+		replace-flags "-O[3-9]" -O2
+	fi
+
+	# Don't trigger a floating point exception for NaNs on alpha
+	use alpha && append-flags -mieee
 
-	# Prevents e.g. tests interfering with running Emacs.
-	unset EMACS_SOCKET_NAME
+	local myconf
 
 	if use alsa; then
 		use sound || ewarn \
@@ -195,14 +135,6 @@ src_configure() {
 		myconf+=" --with-sound=$(usex sound oss)"
 	fi
 
-	if use jit; then
-		use zlib || ewarn \
-			"USE flag \"jit\" overrides \"-zlib\"; enabling zlib support."
-		myconf+=" --with-zlib"
-	else
-		myconf+=" $(use_with zlib)"
-	fi
-
 	if ! use gui; then
 		einfo "Configuring to build without window system support"
 		myconf+=" --without-x --without-ns"
@@ -226,7 +158,6 @@ src_configure() {
 		if use xft; then
 			myconf+=" --with-xft"
 			myconf+=" $(use_with cairo)"
-			myconf+=" $(use_with harfbuzz)"
 			myconf+=" $(use_with m17n-lib libotf)"
 			myconf+=" $(use_with m17n-lib m17n-flt)"
 		else
@@ -252,7 +183,8 @@ src_configure() {
 				recommended that you compile Emacs with the Athena/Lucid or the
 				Motif toolkit instead.
 			EOF
-			myconf+=" --with-x-toolkit=gtk3 $(use_with xwidgets)"
+			myconf+=" --with-x-toolkit=gtk3"
+			myconf+=" --without-xwidgets"
 			for f in motif Xaw3d athena; do
 				use ${f} && ewarn \
 					"USE flag \"${f}\" has no effect if \"gtk\" is set."
@@ -271,152 +203,54 @@ src_configure() {
 			einfo "Configuring to build with no toolkit"
 			myconf+=" --with-x-toolkit=no"
 		fi
-		! use gtk && use xwidgets && ewarn \
-			"USE flag \"xwidgets\" has no effect if \"gtk\" is not set."
-	fi
-
-	if tc-is-cross-compiler; then
-		# Configure a CBUILD directory when cross-compiling to make tools
-		mkdir "${S}-build" && pushd "${S}-build" >/dev/null || die
-		ECONF_SOURCE="${S}" econf_build --without-all --without-x-toolkit
-		popd >/dev/null || die
-		# Don't try to execute the binary for dumping during the build
-		myconf+=" --with-dumping=none"
-	elif use m68k; then
-		# Workaround for https://debbugs.gnu.org/44531
-		myconf+=" --with-dumping=unexec"
-	else
-		myconf+=" --with-dumping=pdumper"
 	fi
 
 	econf \
 		--program-suffix="-${EMACS_SUFFIX}" \
-		--includedir="${EPREFIX}"/usr/include/${EMACS_SUFFIX} \
 		--infodir="${EPREFIX}"/usr/share/info/${EMACS_SUFFIX} \
 		--localstatedir="${EPREFIX}"/var \
 		--enable-locallisppath="${EPREFIX}/etc/emacs:${EPREFIX}${SITELISP}" \
+		--with-gameuser=":gamestat" \
 		--without-compress-install \
 		--without-hesiod \
-		--without-pop \
 		--with-file-notification=$(usev inotify || usev gfile || echo no) \
-		--with-pdumper \
 		$(use_enable acl) \
 		$(use_with dbus) \
 		$(use_with dynamic-loading modules) \
-		$(use_with games gameuser ":gamestat") \
-		$(use_with gmp libgmp) \
 		$(use_with gpm) \
-		$(use_with jit native-compilation) \
-		$(use_with json) \
 		$(use_with kerberos) $(use_with kerberos kerberos5) \
-		$(use_with lcms lcms2) \
 		$(use_with libxml2 xml2) \
-		$(use_with mailutils) \
 		$(use_with selinux) \
 		$(use_with ssl gnutls) \
-		$(use_with systemd libsystemd) \
-		$(use_with threads) \
 		$(use_with wide-int) \
+		$(use_with zlib) \
 		${myconf}
 }
 
 src_compile() {
-	if tc-is-cross-compiler; then
-		# Build native tools for compiling lisp etc.
-		emake -C "${S}-build" src
-		emake lib	   # Cross-compile dependencies first for timestamps
-		# Save native build tools in the cross-directory
-		cp "${S}-build"/lib-src/make-{docfile,fingerprint} lib-src || die
-		# Specify the native Emacs to compile lisp
-		emake -C lisp all EMACS="${S}-build/src/emacs"
-	fi
-
-	emake
-}
-
-src_test() {
-	# List .el test files with a comment above listing the exact
-	# subtests which caused failure. Elements should begin with a %.
-	# e.g. %lisp/gnus/mml-sec-tests.el.
-	local exclude_tests=(
-		# Reason: not yet known
-		# mml-secure-en-decrypt-{1,2,3,4}
-		# mml-secure-find-usable-keys-{1,2}
-		# mml-secure-key-checks
-		# mml-secure-select-preferred-keys-4
-		# mml-secure-sign-verify-1
-		%lisp/gnus/mml-sec-tests.el
-
-		# Reason: race condition
-		# Looks like it should be fixed in 29.x at least:
-		# https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55706
-		# files-tests-file-name-non-special-file-in-directory-p
-		%lisp/files-tests.el
-
-		# Reason: permission denied on /nonexistent
-		# (vc-*-bzr only fails if breezy is installed, as they
-		# try to access cache dirs under /nonexistent)
-		#
-		# rmail-undigest-test-multipart-mixed-digest
-		# rmail-undigest-test-rfc1153-less-strict-digest
-		# rmail-undigest-test-rfc1153-sloppy-digest
-		# rmail-undigest-test-rfc934-digest
-		# vc-test-bzr02-state
-		# vc-test-bzr05-rename-file
-		# vc-test-bzr06-version-diff
-		# vc-bzr-test-bug9781
-		%lisp/mail/undigest-tests.el
-		%lisp/vc/vc-tests.el
-		%lisp/vc/vc-bzr-tests.el
-
-		# Reason: fails if bubblewrap (bwrap) is installed
-		# "bwrap: setting up uid map: Permission denied"
-		#
-		# bytecomp-tests--dest-mountpoint
-		%lisp/emacs-lisp/bytecomp-tests.el
-
-		# Reason: inconsistent years in files?
-		# test-correct-notice
-		# test-end-chop
-		%lisp/emacs-lisp/copyright-tests.el
-
-		# The following tests fail with USE=jit #874681
-		# ert-test-record-backtrace
-		# loadhist-tests-file-dependents
-		# loadhist-tests-file-provides
-		%lisp/emacs-lisp/ert-tests.el
-		%lisp/loadhist-tests.el
-	)
-
-	# See test/README for possible options
-	emake \
-		EMACS_TEST_VERBOSE=1 \
-		EXCLUDE_TESTS="${exclude_tests[*]}" \
-		TEST_BACKTRACE_LINE_LENGTH=nil \
-		check
+	# Disable sandbox when dumping. For the unbelievers, see bug #131505
+	emake RUN_TEMACS="SANDBOX_ON=0 LD_PRELOAD= env ./temacs"
 }
 
 src_install() {
 	emake DESTDIR="${D}" NO_BIN_LINK=t BLESSMAIL_TARGET= install
 
-	mv "${ED}"/usr/bin/{emacs-${FULL_VERSION}-,}${EMACS_SUFFIX} || die
-	mv "${ED}"/usr/share/man/man1/{emacs-,}${EMACS_SUFFIX}.1 || die
-	mv "${ED}"/usr/share/metainfo/{emacs-,}${EMACS_SUFFIX}.metainfo.xml || die
+	mv "${ED}"/usr/bin/{emacs-${FULL_VERSION}-,}${EMACS_SUFFIX} \
+		|| die "moving emacs executable failed"
+	mv "${ED}"/usr/share/man/man1/{emacs-,}${EMACS_SUFFIX}.1 \
+		|| die "moving emacs man page failed"
 
 	# dissuade Portage from removing our dir file #257260
 	touch "${ED}"/usr/share/info/${EMACS_SUFFIX}/.keepinfodir
 	docompress -x /usr/share/info/${EMACS_SUFFIX}/dir
 
 	# movemail must be setgid mail
-	if ! use mailutils; then
-		fowners root:mail /usr/libexec/emacs/${FULL_VERSION}/${CHOST}/movemail
-		fperms 2751 /usr/libexec/emacs/${FULL_VERSION}/${CHOST}/movemail
-	fi
+	fowners root:mail /usr/libexec/emacs/${FULL_VERSION}/${CHOST}/movemail
+	fperms 2751 /usr/libexec/emacs/${FULL_VERSION}/${CHOST}/movemail
 
 	# avoid collision between slots, see bug #169033 e.g.
 	rm "${ED}"/usr/share/emacs/site-lisp/subdirs.el || die
-	rm -rf "${ED}"/usr/share/{applications,icons} || die
-	rm -rf "${ED}/usr/$(get_libdir)/systemd" || die
+	rm -rf "${ED}"/usr/share/{appdata,applications,icons} || die
 	rm -rf "${ED}"/var || die
 
 	# remove unused <version>/site-lisp dir
@@ -425,15 +259,6 @@ src_install() {
 	# remove COPYING file (except for etc/COPYING used by describe-copying)
 	rm "${ED}"/usr/share/emacs/${FULL_VERSION}/lisp/COPYING || die
 
-	if use systemd; then
-		insinto /usr/lib/systemd/user
-		sed -e "/^##/d" \
-			-e "/^ExecStart/s,emacs,${EPREFIX}/usr/bin/${EMACS_SUFFIX}," \
-			-e "/^ExecStop/s,emacsclient,${EPREFIX}/usr/bin/&-${EMACS_SUFFIX}," \
-			etc/emacs.service | newins - ${EMACS_SUFFIX}.service
-		assert
-	fi
-
 	if use gzip-el; then
 		# compress .el files when a corresponding .elc exists
 		find "${ED}"/usr/share/emacs/${FULL_VERSION}/lisp -type f \
@@ -468,7 +293,8 @@ src_install() {
 	X	   (while (and (cdr q) (not (string-match re (cadr q))))
 	X	     (setq q (cdr q)))
 	X	   (setcdr q (cons dir (delete dir (cdr q))))
-	X	   (setq Info-directory-list (prune-directory-list (cdr p)))))))
+	X	   (setenv "INFOPATH"
+	X		   (string-join (prune-directory-list (cdr p)) ":"))))))
 	EOF
 	elisp-site-file-install "${T}/${SITEFILE}" || die
 
@@ -499,11 +325,6 @@ src_install() {
 			\"${EPREFIX}/Applications/Gentoo\". You may want to copy or
 			symlink it into /Applications by yourself."
 	fi
-	tc-is-cross-compiler && DOC_CONTENTS+="\\n\\nEmacs did not write
-		a portable dump file due to being cross-compiled.
-		To create this file at run time, execute the following command:
-		\\n${EMACS_SUFFIX} --batch -Q --eval='(dump-emacs-portable
-		\"/usr/libexec/emacs/${FULL_VERSION}/${CHOST}/emacs.pdmp\")'"
 	readme.gentoo_create_doc
 }
 

diff --git a/app-editors/emacs/emacs-28.3_rc1.ebuild b/app-editors/emacs/emacs-26.3-r14.ebuild
similarity index 60%
copy from app-editors/emacs/emacs-28.3_rc1.ebuild
copy to app-editors/emacs/emacs-26.3-r14.ebuild
index f27c55f138e8..8a42cdd8d361 100644
--- a/app-editors/emacs/emacs-28.3_rc1.ebuild
+++ b/app-editors/emacs/emacs-26.3-r14.ebuild
@@ -3,52 +3,17 @@
 
 EAPI=8
 
-inherit autotools elisp-common readme.gentoo-r1 toolchain-funcs
-
-if [[ ${PV##*.} = 9999 ]]; then
-	inherit git-r3
-	EGIT_REPO_URI="https://git.savannah.gnu.org/git/emacs.git"
-	EGIT_BRANCH="emacs-28"
-	EGIT_CHECKOUT_DIR="${WORKDIR}/emacs"
-	S="${EGIT_CHECKOUT_DIR}"
-	SLOT="${PV%%.*}-vcs"
-else
-	# FULL_VERSION keeps the full version number, which is needed in
-	# order to determine some path information correctly for copy/move
-	# operations later on
-	FULL_VERSION="${PV%%_*}"
-	SRC_URI="mirror://gnu/emacs/${P}.tar.xz"
-	S="${WORKDIR}/emacs-${FULL_VERSION}"
-	# PV can be in any of the following formats:
-	# 27.1                 released version (slot 27)
-	# 27.1_rc1             upstream release candidate (27)
-	# 27.0.9999            live ebuild (slot 27-vcs)
-	# 27.0.90              upstream prerelease snapshot (27-vcs)
-	# 27.0.50_pre20191223  snapshot by Gentoo developer (27-vcs)
-	if [[ ${PV} == *_pre* ]]; then
-		SRC_URI="https://dev.gentoo.org/~ulm/distfiles/${P}.tar.xz"
-		S="${WORKDIR}/emacs"
-	elif [[ ${PV//[0-9]} != "." ]]; then
-		SRC_URI="https://alpha.gnu.org/gnu/emacs/pretest/${PN}-${PV/_/-}.tar.xz"
-	fi
-	# Patchset from proj/emacs-patches.git
-	SRC_URI+=" https://dev.gentoo.org/~ulm/emacs/${PN}-28.2-patches-2.tar.xz"
-	#PATCHES=("${WORKDIR}/patch")
-	PATCHES=(
-		"${WORKDIR}/patch/01_all_libseccomp.patch"
-		# 02_all_etags.patch already applied upstream
-		"${WORKDIR}/patch/03_all_webkit-4.1.patch"
-	)
-	SLOT="${PV%%.*}"
-	[[ ${PV} == *.*.* ]] && SLOT+="-vcs"
-	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
-fi
+inherit autotools elisp-common flag-o-matic readme.gentoo-r1
 
 DESCRIPTION="The extensible, customizable, self-documenting real-time display editor"
 HOMEPAGE="https://www.gnu.org/software/emacs/"
+SRC_URI="mirror://gnu/emacs/${P}.tar.xz
+	https://dev.gentoo.org/~ulm/emacs/${P}-patches-5.tar.xz"
 
 LICENSE="GPL-3+ FDL-1.3+ BSD HPND MIT W3C unicode PSF-2"
-IUSE="acl alsa aqua athena cairo dbus dynamic-loading games gfile gif +gmp gpm gsettings gtk gui gzip-el harfbuzz imagemagick +inotify jit jpeg json kerberos lcms libxml2 livecd m17n-lib mailutils motif png selinux sound source ssl svg systemd +threads tiff toolkit-scroll-bars wide-int Xaw3d xft +xpm xwidgets zlib"
+SLOT="26"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
+IUSE="acl alsa aqua athena cairo dbus dynamic-loading games gfile gif gpm gsettings gtk gui gzip-el imagemagick +inotify jpeg kerberos lcms libxml2 livecd m17n-lib mailutils motif png selinux sound source ssl svg systemd +threads tiff toolkit-scroll-bars wide-int Xaw3d xft +xpm xwidgets zlib"
 
 RDEPEND="app-emacs/emacs-common[games?,gui(-)?]
 	sys-libs/ncurses:0=
@@ -56,14 +21,8 @@ RDEPEND="app-emacs/emacs-common[games?,gui(-)?]
 	alsa? ( media-libs/alsa-lib )
 	dbus? ( sys-apps/dbus )
 	games? ( acct-group/gamestat )
-	gmp? ( dev-libs/gmp:0= )
 	gpm? ( sys-libs/gpm )
 	!inotify? ( gfile? ( >=dev-libs/glib-2.28.6 ) )
-	jit? (
-		sys-devel/gcc:=[jit(-)]
-		sys-libs/zlib
-	)
-	json? ( dev-libs/jansson:= )
 	kerberos? ( virtual/krb5 )
 	lcms? ( media-libs/lcms:2 )
 	libxml2? ( >=dev-libs/libxml2-2.2.0 )
@@ -97,7 +56,6 @@ RDEPEND="app-emacs/emacs-common[games?,gui(-)?]
 			x11-libs/libXft
 			x11-libs/libXrender
 			cairo? ( >=x11-libs/cairo-1.12.18[X] )
-			harfbuzz? ( media-libs/harfbuzz:0= )
 			m17n-lib? (
 				>=dev-libs/libotf-0.9.4
 				>=dev-libs/m17n-lib-1.5.1
@@ -135,8 +93,7 @@ RDEPEND="app-emacs/emacs-common[games?,gui(-)?]
 DEPEND="${RDEPEND}
 	gui? ( !aqua? ( x11-base/xorg-proto ) )"
 
-BDEPEND="sys-apps/texinfo
-	virtual/pkgconfig
+BDEPEND="virtual/pkgconfig
 	gzip-el? ( app-arch/gzip )"
 
 IDEPEND="app-eselect/eselect-emacs"
@@ -145,34 +102,14 @@ RDEPEND+=" ${IDEPEND}"
 
 EMACS_SUFFIX="emacs-${SLOT}"
 SITEFILE="20${EMACS_SUFFIX}-gentoo.el"
+# FULL_VERSION keeps the full version number, which is needed in
+# order to determine some path information correctly for copy/move
+# operations later on
+FULL_VERSION="${PV%%_*}"
+S="${WORKDIR}/emacs-${FULL_VERSION}"
+PATCHES=("${WORKDIR}/patch")
 
 src_prepare() {
-	if [[ ${PV##*.} = 9999 ]]; then
-		FULL_VERSION=$(sed -n 's/^AC_INIT([^,]*,[^0-9.]*\([0-9.]*\).*/\1/p' \
-			configure.ac)
-		[[ ${FULL_VERSION} ]] || die "Cannot determine current Emacs version"
-		einfo "Emacs branch: ${EGIT_BRANCH}"
-		einfo "Commit: ${EGIT_VERSION}"
-		einfo "Emacs version number: ${FULL_VERSION}"
-		[[ ${FULL_VERSION} =~ ^${PV%.*}(\..*)?$ ]] \
-			|| die "Upstream version number changed to ${FULL_VERSION}"
-	fi
-
-	if use jit; then
-		export NATIVE_FULL_AOT=1
-		find lisp -type f -name "*.elc" -delete || die
-
-		# These files ignore LDFLAGS. We assign the variable here, because
-		# for live ebuilds FULL_VERSION doesn't exist in global scope
-		QA_FLAGS_IGNORED="usr/$(get_libdir)/emacs/${FULL_VERSION}/native-lisp/.*"
-
-		# gccjit doesn't play well with ccache or distcc #801580
-		# For now, work around the problem with an explicit LIBRARY_PATH
-		has ccache ${FEATURES} || has distcc ${FEATURES} && tc-is-gcc \
-			&& export LIBRARY_PATH=$("$(tc-getCC)" -print-search-dirs \
-				| sed -n '/^libraries:/{s:^[^/]*::;p}')
-	fi
-
 	default
 
 	# Fix filename reference in redirected man page
@@ -182,10 +119,16 @@ src_prepare() {
 }
 
 src_configure() {
-	local myconf
+	strip-flags
+	filter-flags -pie					#526948
+
+	if use ia64; then
+		replace-flags "-O[2-9]" -O1		#325373
+	else
+		replace-flags "-O[3-9]" -O2
+	fi
 
-	# Prevents e.g. tests interfering with running Emacs.
-	unset EMACS_SOCKET_NAME
+	local myconf
 
 	if use alsa; then
 		use sound || ewarn \
@@ -195,14 +138,6 @@ src_configure() {
 		myconf+=" --with-sound=$(usex sound oss)"
 	fi
 
-	if use jit; then
-		use zlib || ewarn \
-			"USE flag \"jit\" overrides \"-zlib\"; enabling zlib support."
-		myconf+=" --with-zlib"
-	else
-		myconf+=" $(use_with zlib)"
-	fi
-
 	if ! use gui; then
 		einfo "Configuring to build without window system support"
 		myconf+=" --without-x --without-ns"
@@ -226,7 +161,6 @@ src_configure() {
 		if use xft; then
 			myconf+=" --with-xft"
 			myconf+=" $(use_with cairo)"
-			myconf+=" $(use_with harfbuzz)"
 			myconf+=" $(use_with m17n-lib libotf)"
 			myconf+=" $(use_with m17n-lib m17n-flt)"
 		else
@@ -275,20 +209,6 @@ src_configure() {
 			"USE flag \"xwidgets\" has no effect if \"gtk\" is not set."
 	fi
 
-	if tc-is-cross-compiler; then
-		# Configure a CBUILD directory when cross-compiling to make tools
-		mkdir "${S}-build" && pushd "${S}-build" >/dev/null || die
-		ECONF_SOURCE="${S}" econf_build --without-all --without-x-toolkit
-		popd >/dev/null || die
-		# Don't try to execute the binary for dumping during the build
-		myconf+=" --with-dumping=none"
-	elif use m68k; then
-		# Workaround for https://debbugs.gnu.org/44531
-		myconf+=" --with-dumping=unexec"
-	else
-		myconf+=" --with-dumping=pdumper"
-	fi
-
 	econf \
 		--program-suffix="-${EMACS_SUFFIX}" \
 		--includedir="${EPREFIX}"/usr/include/${EMACS_SUFFIX} \
@@ -299,15 +219,11 @@ src_configure() {
 		--without-hesiod \
 		--without-pop \
 		--with-file-notification=$(usev inotify || usev gfile || echo no) \
-		--with-pdumper \
 		$(use_enable acl) \
 		$(use_with dbus) \
 		$(use_with dynamic-loading modules) \
 		$(use_with games gameuser ":gamestat") \
-		$(use_with gmp libgmp) \
 		$(use_with gpm) \
-		$(use_with jit native-compilation) \
-		$(use_with json) \
 		$(use_with kerberos) $(use_with kerberos kerberos5) \
 		$(use_with lcms lcms2) \
 		$(use_with libxml2 xml2) \
@@ -317,83 +233,13 @@ src_configure() {
 		$(use_with systemd libsystemd) \
 		$(use_with threads) \
 		$(use_with wide-int) \
+		$(use_with zlib) \
 		${myconf}
 }
 
 src_compile() {
-	if tc-is-cross-compiler; then
-		# Build native tools for compiling lisp etc.
-		emake -C "${S}-build" src
-		emake lib	   # Cross-compile dependencies first for timestamps
-		# Save native build tools in the cross-directory
-		cp "${S}-build"/lib-src/make-{docfile,fingerprint} lib-src || die
-		# Specify the native Emacs to compile lisp
-		emake -C lisp all EMACS="${S}-build/src/emacs"
-	fi
-
-	emake
-}
-
-src_test() {
-	# List .el test files with a comment above listing the exact
-	# subtests which caused failure. Elements should begin with a %.
-	# e.g. %lisp/gnus/mml-sec-tests.el.
-	local exclude_tests=(
-		# Reason: not yet known
-		# mml-secure-en-decrypt-{1,2,3,4}
-		# mml-secure-find-usable-keys-{1,2}
-		# mml-secure-key-checks
-		# mml-secure-select-preferred-keys-4
-		# mml-secure-sign-verify-1
-		%lisp/gnus/mml-sec-tests.el
-
-		# Reason: race condition
-		# Looks like it should be fixed in 29.x at least:
-		# https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55706
-		# files-tests-file-name-non-special-file-in-directory-p
-		%lisp/files-tests.el
-
-		# Reason: permission denied on /nonexistent
-		# (vc-*-bzr only fails if breezy is installed, as they
-		# try to access cache dirs under /nonexistent)
-		#
-		# rmail-undigest-test-multipart-mixed-digest
-		# rmail-undigest-test-rfc1153-less-strict-digest
-		# rmail-undigest-test-rfc1153-sloppy-digest
-		# rmail-undigest-test-rfc934-digest
-		# vc-test-bzr02-state
-		# vc-test-bzr05-rename-file
-		# vc-test-bzr06-version-diff
-		# vc-bzr-test-bug9781
-		%lisp/mail/undigest-tests.el
-		%lisp/vc/vc-tests.el
-		%lisp/vc/vc-bzr-tests.el
-
-		# Reason: fails if bubblewrap (bwrap) is installed
-		# "bwrap: setting up uid map: Permission denied"
-		#
-		# bytecomp-tests--dest-mountpoint
-		%lisp/emacs-lisp/bytecomp-tests.el
-
-		# Reason: inconsistent years in files?
-		# test-correct-notice
-		# test-end-chop
-		%lisp/emacs-lisp/copyright-tests.el
-
-		# The following tests fail with USE=jit #874681
-		# ert-test-record-backtrace
-		# loadhist-tests-file-dependents
-		# loadhist-tests-file-provides
-		%lisp/emacs-lisp/ert-tests.el
-		%lisp/loadhist-tests.el
-	)
-
-	# See test/README for possible options
-	emake \
-		EMACS_TEST_VERBOSE=1 \
-		EXCLUDE_TESTS="${exclude_tests[*]}" \
-		TEST_BACKTRACE_LINE_LENGTH=nil \
-		check
+	# Disable sandbox when dumping. For the unbelievers, see bug #131505
+	emake RUN_TEMACS="SANDBOX_ON=0 LD_PRELOAD= env ./temacs"
 }
 
 src_install() {
@@ -401,7 +247,7 @@ src_install() {
 
 	mv "${ED}"/usr/bin/{emacs-${FULL_VERSION}-,}${EMACS_SUFFIX} || die
 	mv "${ED}"/usr/share/man/man1/{emacs-,}${EMACS_SUFFIX}.1 || die
-	mv "${ED}"/usr/share/metainfo/{emacs-,}${EMACS_SUFFIX}.metainfo.xml || die
+	mv "${ED}"/usr/share/metainfo/{emacs-,}${EMACS_SUFFIX}.appdata.xml || die
 
 	# dissuade Portage from removing our dir file #257260
 	touch "${ED}"/usr/share/info/${EMACS_SUFFIX}/.keepinfodir
@@ -416,7 +262,7 @@ src_install() {
 	# avoid collision between slots, see bug #169033 e.g.
 	rm "${ED}"/usr/share/emacs/site-lisp/subdirs.el || die
 	rm -rf "${ED}"/usr/share/{applications,icons} || die
-	rm -rf "${ED}/usr/$(get_libdir)/systemd" || die
+	rm -rf "${ED}/usr/$(get_libdir)" || die
 	rm -rf "${ED}"/var || die
 
 	# remove unused <version>/site-lisp dir
@@ -468,7 +314,8 @@ src_install() {
 	X	   (while (and (cdr q) (not (string-match re (cadr q))))
 	X	     (setq q (cdr q)))
 	X	   (setcdr q (cons dir (delete dir (cdr q))))
-	X	   (setq Info-directory-list (prune-directory-list (cdr p)))))))
+	X	   (setenv "INFOPATH"
+	X		   (string-join (prune-directory-list (cdr p)) ":"))))))
 	EOF
 	elisp-site-file-install "${T}/${SITEFILE}" || die
 
@@ -499,11 +346,6 @@ src_install() {
 			\"${EPREFIX}/Applications/Gentoo\". You may want to copy or
 			symlink it into /Applications by yourself."
 	fi
-	tc-is-cross-compiler && DOC_CONTENTS+="\\n\\nEmacs did not write
-		a portable dump file due to being cross-compiled.
-		To create this file at run time, execute the following command:
-		\\n${EMACS_SUFFIX} --batch -Q --eval='(dump-emacs-portable
-		\"/usr/libexec/emacs/${FULL_VERSION}/${CHOST}/emacs.pdmp\")'"
 	readme.gentoo_create_doc
 }
 

diff --git a/app-editors/emacs/emacs-28.3_rc1.ebuild b/app-editors/emacs/emacs-27.2-r12.ebuild
similarity index 79%
copy from app-editors/emacs/emacs-28.3_rc1.ebuild
copy to app-editors/emacs/emacs-27.2-r12.ebuild
index f27c55f138e8..8aa6265b68e2 100644
--- a/app-editors/emacs/emacs-28.3_rc1.ebuild
+++ b/app-editors/emacs/emacs-27.2-r12.ebuild
@@ -8,7 +8,7 @@ inherit autotools elisp-common readme.gentoo-r1 toolchain-funcs
 if [[ ${PV##*.} = 9999 ]]; then
 	inherit git-r3
 	EGIT_REPO_URI="https://git.savannah.gnu.org/git/emacs.git"
-	EGIT_BRANCH="emacs-28"
+	EGIT_BRANCH="emacs-27"
 	EGIT_CHECKOUT_DIR="${WORKDIR}/emacs"
 	S="${EGIT_CHECKOUT_DIR}"
 	SLOT="${PV%%.*}-vcs"
@@ -32,13 +32,8 @@ else
 		SRC_URI="https://alpha.gnu.org/gnu/emacs/pretest/${PN}-${PV/_/-}.tar.xz"
 	fi
 	# Patchset from proj/emacs-patches.git
-	SRC_URI+=" https://dev.gentoo.org/~ulm/emacs/${PN}-28.2-patches-2.tar.xz"
-	#PATCHES=("${WORKDIR}/patch")
-	PATCHES=(
-		"${WORKDIR}/patch/01_all_libseccomp.patch"
-		# 02_all_etags.patch already applied upstream
-		"${WORKDIR}/patch/03_all_webkit-4.1.patch"
-	)
+	SRC_URI+=" https://dev.gentoo.org/~ulm/emacs/${P}-patches-6.tar.xz"
+	PATCHES=("${WORKDIR}/patch")
 	SLOT="${PV%%.*}"
 	[[ ${PV} == *.*.* ]] && SLOT+="-vcs"
 	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
@@ -48,7 +43,8 @@ DESCRIPTION="The extensible, customizable, self-documenting real-time display ed
 HOMEPAGE="https://www.gnu.org/software/emacs/"
 
 LICENSE="GPL-3+ FDL-1.3+ BSD HPND MIT W3C unicode PSF-2"
-IUSE="acl alsa aqua athena cairo dbus dynamic-loading games gfile gif +gmp gpm gsettings gtk gui gzip-el harfbuzz imagemagick +inotify jit jpeg json kerberos lcms libxml2 livecd m17n-lib mailutils motif png selinux sound source ssl svg systemd +threads tiff toolkit-scroll-bars wide-int Xaw3d xft +xpm xwidgets zlib"
+IUSE="acl alsa aqua athena cairo dbus dynamic-loading games gfile gif +gmp gpm gsettings gtk gui gzip-el harfbuzz imagemagick +inotify jpeg json kerberos lcms libxml2 livecd m17n-lib mailutils motif png selinux sound source ssl svg systemd +threads tiff toolkit-scroll-bars wide-int Xaw3d xft +xpm xwidgets zlib"
+RESTRICT="test"
 
 RDEPEND="app-emacs/emacs-common[games?,gui(-)?]
 	sys-libs/ncurses:0=
@@ -59,10 +55,6 @@ RDEPEND="app-emacs/emacs-common[games?,gui(-)?]
 	gmp? ( dev-libs/gmp:0= )
 	gpm? ( sys-libs/gpm )
 	!inotify? ( gfile? ( >=dev-libs/glib-2.28.6 ) )
-	jit? (
-		sys-devel/gcc:=[jit(-)]
-		sys-libs/zlib
-	)
 	json? ( dev-libs/jansson:= )
 	kerberos? ( virtual/krb5 )
 	lcms? ( media-libs/lcms:2 )
@@ -148,7 +140,7 @@ SITEFILE="20${EMACS_SUFFIX}-gentoo.el"
 
 src_prepare() {
 	if [[ ${PV##*.} = 9999 ]]; then
-		FULL_VERSION=$(sed -n 's/^AC_INIT([^,]*,[^0-9.]*\([0-9.]*\).*/\1/p' \
+		FULL_VERSION=$(sed -n 's/^AC_INIT([^,]*,[ \t]*\([^ \t,)]*\).*/\1/p' \
 			configure.ac)
 		[[ ${FULL_VERSION} ]] || die "Cannot determine current Emacs version"
 		einfo "Emacs branch: ${EGIT_BRANCH}"
@@ -158,21 +150,6 @@ src_prepare() {
 			|| die "Upstream version number changed to ${FULL_VERSION}"
 	fi
 
-	if use jit; then
-		export NATIVE_FULL_AOT=1
-		find lisp -type f -name "*.elc" -delete || die
-
-		# These files ignore LDFLAGS. We assign the variable here, because
-		# for live ebuilds FULL_VERSION doesn't exist in global scope
-		QA_FLAGS_IGNORED="usr/$(get_libdir)/emacs/${FULL_VERSION}/native-lisp/.*"
-
-		# gccjit doesn't play well with ccache or distcc #801580
-		# For now, work around the problem with an explicit LIBRARY_PATH
-		has ccache ${FEATURES} || has distcc ${FEATURES} && tc-is-gcc \
-			&& export LIBRARY_PATH=$("$(tc-getCC)" -print-search-dirs \
-				| sed -n '/^libraries:/{s:^[^/]*::;p}')
-	fi
-
 	default
 
 	# Fix filename reference in redirected man page
@@ -184,9 +161,6 @@ src_prepare() {
 src_configure() {
 	local myconf
 
-	# Prevents e.g. tests interfering with running Emacs.
-	unset EMACS_SOCKET_NAME
-
 	if use alsa; then
 		use sound || ewarn \
 			"USE flag \"alsa\" overrides \"-sound\"; enabling sound support."
@@ -195,14 +169,6 @@ src_configure() {
 		myconf+=" --with-sound=$(usex sound oss)"
 	fi
 
-	if use jit; then
-		use zlib || ewarn \
-			"USE flag \"jit\" overrides \"-zlib\"; enabling zlib support."
-		myconf+=" --with-zlib"
-	else
-		myconf+=" $(use_with zlib)"
-	fi
-
 	if ! use gui; then
 		einfo "Configuring to build without window system support"
 		myconf+=" --without-x --without-ns"
@@ -306,7 +272,6 @@ src_configure() {
 		$(use_with games gameuser ":gamestat") \
 		$(use_with gmp libgmp) \
 		$(use_with gpm) \
-		$(use_with jit native-compilation) \
 		$(use_with json) \
 		$(use_with kerberos) $(use_with kerberos kerberos5) \
 		$(use_with lcms lcms2) \
@@ -317,6 +282,7 @@ src_configure() {
 		$(use_with systemd libsystemd) \
 		$(use_with threads) \
 		$(use_with wide-int) \
+		$(use_with zlib) \
 		${myconf}
 }
 
@@ -334,74 +300,12 @@ src_compile() {
 	emake
 }
 
-src_test() {
-	# List .el test files with a comment above listing the exact
-	# subtests which caused failure. Elements should begin with a %.
-	# e.g. %lisp/gnus/mml-sec-tests.el.
-	local exclude_tests=(
-		# Reason: not yet known
-		# mml-secure-en-decrypt-{1,2,3,4}
-		# mml-secure-find-usable-keys-{1,2}
-		# mml-secure-key-checks
-		# mml-secure-select-preferred-keys-4
-		# mml-secure-sign-verify-1
-		%lisp/gnus/mml-sec-tests.el
-
-		# Reason: race condition
-		# Looks like it should be fixed in 29.x at least:
-		# https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55706
-		# files-tests-file-name-non-special-file-in-directory-p
-		%lisp/files-tests.el
-
-		# Reason: permission denied on /nonexistent
-		# (vc-*-bzr only fails if breezy is installed, as they
-		# try to access cache dirs under /nonexistent)
-		#
-		# rmail-undigest-test-multipart-mixed-digest
-		# rmail-undigest-test-rfc1153-less-strict-digest
-		# rmail-undigest-test-rfc1153-sloppy-digest
-		# rmail-undigest-test-rfc934-digest
-		# vc-test-bzr02-state
-		# vc-test-bzr05-rename-file
-		# vc-test-bzr06-version-diff
-		# vc-bzr-test-bug9781
-		%lisp/mail/undigest-tests.el
-		%lisp/vc/vc-tests.el
-		%lisp/vc/vc-bzr-tests.el
-
-		# Reason: fails if bubblewrap (bwrap) is installed
-		# "bwrap: setting up uid map: Permission denied"
-		#
-		# bytecomp-tests--dest-mountpoint
-		%lisp/emacs-lisp/bytecomp-tests.el
-
-		# Reason: inconsistent years in files?
-		# test-correct-notice
-		# test-end-chop
-		%lisp/emacs-lisp/copyright-tests.el
-
-		# The following tests fail with USE=jit #874681
-		# ert-test-record-backtrace
-		# loadhist-tests-file-dependents
-		# loadhist-tests-file-provides
-		%lisp/emacs-lisp/ert-tests.el
-		%lisp/loadhist-tests.el
-	)
-
-	# See test/README for possible options
-	emake \
-		EMACS_TEST_VERBOSE=1 \
-		EXCLUDE_TESTS="${exclude_tests[*]}" \
-		TEST_BACKTRACE_LINE_LENGTH=nil \
-		check
-}
-
 src_install() {
 	emake DESTDIR="${D}" NO_BIN_LINK=t BLESSMAIL_TARGET= install
 
 	mv "${ED}"/usr/bin/{emacs-${FULL_VERSION}-,}${EMACS_SUFFIX} || die
 	mv "${ED}"/usr/share/man/man1/{emacs-,}${EMACS_SUFFIX}.1 || die
-	mv "${ED}"/usr/share/metainfo/{emacs-,}${EMACS_SUFFIX}.metainfo.xml || die
+	mv "${ED}"/usr/share/metainfo/{emacs-,}${EMACS_SUFFIX}.appdata.xml || die
 
 	# dissuade Portage from removing our dir file #257260
 	touch "${ED}"/usr/share/info/${EMACS_SUFFIX}/.keepinfodir
@@ -416,7 +320,7 @@ src_install() {
 	# avoid collision between slots, see bug #169033 e.g.
 	rm "${ED}"/usr/share/emacs/site-lisp/subdirs.el || die
 	rm -rf "${ED}"/usr/share/{applications,icons} || die
-	rm -rf "${ED}/usr/$(get_libdir)/systemd" || die
+	rm -rf "${ED}/usr/$(get_libdir)" || die
 	rm -rf "${ED}"/var || die
 
 	# remove unused <version>/site-lisp dir
@@ -468,7 +372,8 @@ src_install() {
 	X	   (while (and (cdr q) (not (string-match re (cadr q))))
 	X	     (setq q (cdr q)))
 	X	   (setcdr q (cons dir (delete dir (cdr q))))
-	X	   (setq Info-directory-list (prune-directory-list (cdr p)))))))
+	X	   (setenv "INFOPATH"
+	X		   (string-join (prune-directory-list (cdr p)) ":"))))))
 	EOF
 	elisp-site-file-install "${T}/${SITEFILE}" || die
 

diff --git a/app-editors/emacs/emacs-28.3_rc1.ebuild b/app-editors/emacs/emacs-28.2-r7.ebuild
similarity index 96%
copy from app-editors/emacs/emacs-28.3_rc1.ebuild
copy to app-editors/emacs/emacs-28.2-r7.ebuild
index f27c55f138e8..38cb0d9bafd8 100644
--- a/app-editors/emacs/emacs-28.3_rc1.ebuild
+++ b/app-editors/emacs/emacs-28.2-r7.ebuild
@@ -32,13 +32,8 @@ else
 		SRC_URI="https://alpha.gnu.org/gnu/emacs/pretest/${PN}-${PV/_/-}.tar.xz"
 	fi
 	# Patchset from proj/emacs-patches.git
-	SRC_URI+=" https://dev.gentoo.org/~ulm/emacs/${PN}-28.2-patches-2.tar.xz"
-	#PATCHES=("${WORKDIR}/patch")
-	PATCHES=(
-		"${WORKDIR}/patch/01_all_libseccomp.patch"
-		# 02_all_etags.patch already applied upstream
-		"${WORKDIR}/patch/03_all_webkit-4.1.patch"
-	)
+	SRC_URI+=" https://dev.gentoo.org/~ulm/emacs/${P}-patches-3.tar.xz"
+	PATCHES=("${WORKDIR}/patch")
 	SLOT="${PV%%.*}"
 	[[ ${PV} == *.*.* ]] && SLOT+="-vcs"
 	KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos"
@@ -374,18 +369,6 @@ src_test() {
 		#
 		# bytecomp-tests--dest-mountpoint
 		%lisp/emacs-lisp/bytecomp-tests.el
-
-		# Reason: inconsistent years in files?
-		# test-correct-notice
-		# test-end-chop
-		%lisp/emacs-lisp/copyright-tests.el
-
-		# The following tests fail with USE=jit #874681
-		# ert-test-record-backtrace
-		# loadhist-tests-file-dependents
-		# loadhist-tests-file-provides
-		%lisp/emacs-lisp/ert-tests.el
-		%lisp/loadhist-tests.el
 	)
 
 	# See test/README for possible options
@@ -468,7 +451,8 @@ src_install() {
 	X	   (while (and (cdr q) (not (string-match re (cadr q))))
 	X	     (setq q (cdr q)))
 	X	   (setcdr q (cons dir (delete dir (cdr q))))
-	X	   (setq Info-directory-list (prune-directory-list (cdr p)))))))
+	X	   (setenv "INFOPATH"
+	X		   (string-join (prune-directory-list (cdr p)) ":"))))))
 	EOF
 	elisp-site-file-install "${T}/${SITEFILE}" || die
 

diff --git a/app-editors/emacs/emacs-28.3_rc1.ebuild b/app-editors/emacs/emacs-28.3_rc1-r1.ebuild
similarity index 99%
rename from app-editors/emacs/emacs-28.3_rc1.ebuild
rename to app-editors/emacs/emacs-28.3_rc1-r1.ebuild
index f27c55f138e8..fa4e3b7069be 100644
--- a/app-editors/emacs/emacs-28.3_rc1.ebuild
+++ b/app-editors/emacs/emacs-28.3_rc1-r1.ebuild
@@ -468,7 +468,8 @@ src_install() {
 	X	   (while (and (cdr q) (not (string-match re (cadr q))))
 	X	     (setq q (cdr q)))
 	X	   (setcdr q (cons dir (delete dir (cdr q))))
-	X	   (setq Info-directory-list (prune-directory-list (cdr p)))))))
+	X	   (setenv "INFOPATH"
+	X		   (string-join (prune-directory-list (cdr p)) ":"))))))
 	EOF
 	elisp-site-file-install "${T}/${SITEFILE}" || die
 

diff --git a/app-editors/emacs/emacs-29.0.9999-r1.ebuild b/app-editors/emacs/emacs-29.0.9999-r1.ebuild
index 16e932a02739..a7ec45f53dd7 100644
--- a/app-editors/emacs/emacs-29.0.9999-r1.ebuild
+++ b/app-editors/emacs/emacs-29.0.9999-r1.ebuild
@@ -498,7 +498,8 @@ src_install() {
 	X	   (while (and (cdr q) (not (string-match re (cadr q))))
 	X	     (setq q (cdr q)))
 	X	   (setcdr q (cons dir (delete dir (cdr q))))
-	X	   (setq Info-directory-list (prune-directory-list (cdr p)))))))
+	X	   (setenv "INFOPATH"
+	X		   (string-join (prune-directory-list (cdr p)) ":"))))))
 	EOF
 	elisp-site-file-install "${T}/${SITEFILE}" || die
 

diff --git a/app-editors/emacs/emacs-30.0.9999.ebuild b/app-editors/emacs/emacs-30.0.9999.ebuild
index 257e0e3e5c92..28e579c21b1a 100644
--- a/app-editors/emacs/emacs-30.0.9999.ebuild
+++ b/app-editors/emacs/emacs-30.0.9999.ebuild
@@ -498,7 +498,8 @@ src_install() {
 	X	   (while (and (cdr q) (not (string-match re (cadr q))))
 	X	     (setq q (cdr q)))
 	X	   (setcdr q (cons dir (delete dir (cdr q))))
-	X	   (setq Info-directory-list (prune-directory-list (cdr p)))))))
+	X	   (setenv "INFOPATH"
+	X		   (string-join (prune-directory-list (cdr p)) ":"))))))
 	EOF
 	elisp-site-file-install "${T}/${SITEFILE}" || die
 


             reply	other threads:[~2023-03-28 13:01 UTC|newest]

Thread overview: 766+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-03-28 13:01 Ulrich Müller [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-15 17:24 [gentoo-commits] repo/gentoo:master commit in: app-editors/emacs/ Ulrich Müller
2025-04-15 10:09 Ulrich Müller
2025-04-13 18:29 Sam James
2025-04-13 12:35 Ulrich Müller
2025-04-13 12:30 Sam James
2025-04-13 12:30 Sam James
2025-04-13 12:30 Sam James
2025-04-13 12:30 Sam James
2025-04-13 12:30 Sam James
2025-04-12 18:55 Arthur Zamarin
2025-04-12 11:19 Sam James
2025-04-12 11:19 Sam James
2025-04-12 11:19 Sam James
2025-04-12 11:19 Sam James
2025-04-12 10:43 Ulrich Müller
2025-04-12 10:43 Ulrich Müller
2025-03-31  6:06 Ulrich Müller
2025-03-23 12:51 Arthur Zamarin
2025-03-23 12:51 Arthur Zamarin
2025-03-23 12:51 Arthur Zamarin
2025-03-23 12:51 Arthur Zamarin
2025-03-23  7:33 Ulrich Müller
2025-03-18 16:10 Ulrich Müller
2025-03-14  7:15 Ulrich Müller
2025-03-10 11:55 Ulrich Müller
2025-03-02 15:25 Ulrich Müller
2025-02-27  8:52 Arthur Zamarin
2025-02-27  8:52 Arthur Zamarin
2025-02-27  8:52 Arthur Zamarin
2025-02-27  8:52 Arthur Zamarin
2025-02-27  6:31 Sam James
2025-02-27  6:31 Sam James
2025-02-27  6:31 Sam James
2025-02-27  6:31 Sam James
2025-02-26  6:59 Ulrich Müller
2025-02-26  4:00 Sam James
2025-02-26  4:00 Sam James
2025-02-26  4:00 Sam James
2025-02-26  4:00 Sam James
2025-02-26  4:00 Sam James
2025-02-26  4:00 Sam James
2025-02-26  4:00 Sam James
2025-02-26  4:00 Sam James
2025-02-25 22:51 Sam James
2025-02-25 22:51 Sam James
2025-02-25 22:51 Sam James
2025-02-25 22:51 Sam James
2025-02-25 22:51 Sam James
2025-02-25 22:51 Sam James
2025-02-25 22:51 Sam James
2025-02-25 22:51 Sam James
2025-02-25 18:58 Ulrich Müller
2025-02-25 18:58 Ulrich Müller
2025-02-24  6:05 Ulrich Müller
2025-02-24  6:05 Ulrich Müller
2025-02-21 18:29 Ulrich Müller
2025-02-21 18:29 Ulrich Müller
2025-02-20  7:22 Ulrich Müller
2025-02-20  7:22 Ulrich Müller
2025-02-20  7:22 Ulrich Müller
2025-02-09  9:26 Arthur Zamarin
2025-02-09  9:26 Arthur Zamarin
2025-02-09  9:26 Arthur Zamarin
2025-02-09  9:26 Arthur Zamarin
2025-02-08  1:08 Jakov Smolić
2025-02-08  1:08 Jakov Smolić
2025-02-08  1:08 Jakov Smolić
2025-02-08  1:08 Jakov Smolić
2025-01-20  9:11 Ulrich Müller
2025-01-10  4:12 WANG Xuerui
2025-01-08 19:27 Ulrich Müller
2025-01-08 15:35 Ulrich Müller
2025-01-07 20:54 Ulrich Müller
2025-01-05 21:18 Ulrich Müller
2024-12-28 19:45 Ulrich Müller
2024-12-27 18:40 Ulrich Müller
2024-12-20  9:30 Ulrich Müller
2024-12-09 18:49 Ulrich Müller
2024-12-09 11:36 Ulrich Müller
2024-11-25 20:05 Ulrich Müller
2024-11-20 13:06 Ulrich Müller
2024-11-20 13:06 Ulrich Müller
2024-11-20 11:43 Ulrich Müller
2024-11-11 21:54 Ulrich Müller
2024-10-31  6:06 Ulrich Müller
2024-10-31  0:44 Sam James
2024-10-31  0:44 Sam James
2024-10-31  0:44 Sam James
2024-10-31  0:44 Sam James
2024-10-31  0:44 Sam James
2024-10-31  0:44 Sam James
2024-10-31  0:44 Sam James
2024-10-31  0:44 Sam James
2024-10-31  0:44 Sam James
2024-10-31  0:44 Sam James
2024-10-31  0:44 Sam James
2024-10-31  0:44 Sam James
2024-10-26 18:36 Ulrich Müller
2024-10-24  9:37 Ulrich Müller
2024-10-22 15:59 Ulrich Müller
2024-10-22 15:59 Ulrich Müller
2024-09-27  7:16 Ulrich Müller
2024-09-17 16:00 Sam James
2024-09-17 16:00 Sam James
2024-09-17 16:00 Sam James
2024-09-12 19:12 Ulrich Müller
2024-09-12  9:01 Ulrich Müller
2024-09-04 20:08 Ulrich Müller
2024-08-16 13:58 Sam James
2024-08-16 10:28 Arthur Zamarin
2024-08-16 10:28 Arthur Zamarin
2024-08-16 10:28 Arthur Zamarin
2024-08-16 10:28 Arthur Zamarin
2024-07-24 19:12 Sam James
2024-07-24 19:12 Sam James
2024-07-24 18:56 Arthur Zamarin
2024-06-30 18:26 Michał Górny
2024-06-30 18:26 Michał Górny
2024-06-24 15:25 Ulrich Müller
2024-06-23 11:53 Ulrich Müller
2024-06-23 11:18 Ulrich Müller
2024-06-23 10:14 Ulrich Müller
2024-06-23 10:14 Ulrich Müller
2024-06-23  4:38 Sam James
2024-06-23  4:38 Sam James
2024-06-23  4:38 Sam James
2024-06-23  4:38 Sam James
2024-06-22 22:04 Sam James
2024-06-22 22:04 Sam James
2024-06-22 22:04 Sam James
2024-06-22 22:04 Sam James
2024-06-22 22:04 Sam James
2024-06-22 22:04 Sam James
2024-06-22 22:04 Sam James
2024-06-22 22:04 Sam James
2024-06-22 19:11 Ulrich Müller
2024-06-22 19:11 Ulrich Müller
2024-06-22 19:11 Ulrich Müller
2024-06-06 17:21 Ulrich Müller
2024-06-04 18:53 Ulrich Müller
2024-06-04 18:31 Arthur Zamarin
2024-06-04 18:31 Arthur Zamarin
2024-06-04 18:31 Arthur Zamarin
2024-06-04 18:31 Arthur Zamarin
2024-06-03 21:53 Ulrich Müller
2024-06-03  7:39 Ulrich Müller
2024-05-20 19:02 Ulrich Müller
2024-05-20 18:30 Sam James
2024-05-20 18:30 Sam James
2024-05-20 18:30 Sam James
2024-05-20 18:30 Sam James
2024-04-28 16:22 Arthur Zamarin
2024-04-28 16:22 Arthur Zamarin
2024-04-28 16:22 Arthur Zamarin
2024-04-28 16:22 Arthur Zamarin
2024-04-28  7:28 Ulrich Müller
2024-04-27 22:23 Sam James
2024-04-27 22:23 Sam James
2024-04-27 22:23 Sam James
2024-04-27 22:23 Sam James
2024-04-27 22:23 Sam James
2024-04-27 22:23 Sam James
2024-04-27 22:23 Sam James
2024-04-27 22:23 Sam James
2024-04-27 22:11 Sam James
2024-04-27 22:11 Sam James
2024-04-27 22:11 Sam James
2024-04-27 22:11 Sam James
2024-04-27 22:11 Sam James
2024-04-27 22:11 Sam James
2024-04-27 22:11 Sam James
2024-04-27 22:11 Sam James
2024-04-27 19:10 Ulrich Müller
2024-04-27  5:11 Ulrich Müller
2024-04-23 20:10 Ulrich Müller
2024-04-15  7:25 Matthew Smith
2024-04-13  6:39 Ulrich Müller
2024-04-01 19:11 Ulrich Müller
2024-04-01  5:55 Ulrich Müller
2024-03-26 11:06 Sam James
2024-03-26 11:06 Sam James
2024-03-26 11:06 Sam James
2024-03-26 11:06 Sam James
2024-03-26 11:06 Sam James
2024-03-26 11:06 Sam James
2024-03-25 18:50 Sam James
2024-03-25 18:50 Sam James
2024-03-25 18:50 Sam James
2024-03-25 15:00 Ulrich Müller
2024-03-25  8:54 Sam James
2024-03-25  8:54 Sam James
2024-03-24 18:33 Sam James
2024-03-24 18:33 Sam James
2024-03-24 18:17 Sam James
2024-03-24 18:17 Sam James
2024-03-24 18:17 Sam James
2024-03-24 18:00 Ulrich Müller
2024-03-24 17:50 Ulrich Müller
2024-03-24 16:43 Ulrich Müller
2024-03-24 16:43 Ulrich Müller
2024-03-06  8:11 Ulrich Müller
2024-02-25  9:56 Ulrich Müller
2024-02-25  8:42 Ulrich Müller
2024-02-25  7:14 Ulrich Müller
2024-02-25  7:14 Ulrich Müller
2024-02-24 16:59 Ulrich Müller
2024-02-24 14:37 Sam James
2024-02-24 14:37 Sam James
2024-02-24 14:37 Sam James
2024-02-24 14:37 Sam James
2024-02-24 14:37 Sam James
2024-02-24 14:37 Sam James
2024-02-24 14:37 Sam James
2024-02-24 14:37 Sam James
2024-02-20 15:34 Ulrich Müller
2024-02-16 19:16 Ulrich Müller
2024-01-30 18:31 Ulrich Müller
2024-01-30 18:31 Ulrich Müller
2024-01-29  9:17 Ulrich Müller
2024-01-20 11:11 Matthew Smith
2024-01-19 11:02 Ulrich Müller
2024-01-19 11:02 Ulrich Müller
2024-01-19 11:02 Ulrich Müller
2023-12-27  1:36 Ionen Wolkens
2023-12-25 19:17 Arthur Zamarin
2023-12-25 17:29 Sam James
2023-12-25 17:21 Sam James
2023-12-25 17:21 Sam James
2023-12-25 17:21 Sam James
2023-12-22  9:35 Ulrich Müller
2023-12-21 19:46 Ulrich Müller
2023-12-21 11:28 Ulrich Müller
2023-12-21  0:07 Ionen Wolkens
2023-12-20 21:50 Ulrich Müller
2023-12-20 17:57 Ulrich Müller
2023-12-20 10:00 Ulrich Müller
2023-12-20  9:22 Ulrich Müller
2023-11-25 12:26 Arthur Zamarin
2023-11-25 12:02 Ulrich Müller
2023-11-25 11:44 Ulrich Müller
2023-11-19 17:28 James Le Cuirot
2023-11-09 10:51 Ulrich Müller
2023-11-09 10:51 Ulrich Müller
2023-11-02  9:31 Sam James
2023-11-02  9:31 Sam James
2023-11-02  4:12 Sam James
2023-10-24 16:38 Ulrich Müller
2023-10-24  6:11 Ulrich Müller
2023-10-19 13:56 Ulrich Müller
2023-09-24 18:20 Ulrich Müller
2023-09-24 15:07 Ulrich Müller
2023-09-24 11:40 Ulrich Müller
2023-09-20 18:42 Ulrich Müller
2023-09-20 16:17 Ulrich Müller
2023-09-20 12:51 Ulrich Müller
2023-09-20 12:51 Ulrich Müller
2023-09-19  9:26 Sam James
2023-09-19  8:28 Sam James
2023-09-19  8:15 Sam James
2023-09-19  8:02 Sam James
2023-09-19  7:43 Sam James
2023-08-29 23:34 Sam James
2023-08-29 20:18 Sam James
2023-08-29 20:18 Sam James
2023-08-07 13:43 Ulrich Müller
2023-08-06 13:07 Ulrich Müller
2023-08-01 11:27 Ulrich Müller
2023-07-30  8:05 Ulrich Müller
2023-07-30  8:05 Ulrich Müller
2023-07-26  6:21 Ulrich Müller
2023-07-24 16:10 Ulrich Müller
2023-07-24 16:10 Ulrich Müller
2023-07-23  9:35 Ulrich Müller
2023-07-23  9:35 Ulrich Müller
2023-07-19  5:52 Ulrich Müller
2023-07-18 18:08 Sam James
2023-07-18 18:08 Sam James
2023-07-18 18:08 Sam James
2023-07-18 18:08 Sam James
2023-07-18 18:08 Sam James
2023-07-18 18:08 Sam James
2023-07-18 18:08 Sam James
2023-07-18 18:08 Sam James
2023-07-14  8:16 Ulrich Müller
2023-06-19 16:21 Ulrich Müller
2023-06-13 16:19 Ulrich Müller
2023-06-13 16:18 Ulrich Müller
2023-06-11  6:34 Ulrich Müller
2023-06-10 12:07 Ulrich Müller
2023-06-04 19:32 Ulrich Müller
2023-06-04 17:14 Ulrich Müller
2023-05-17  9:54 Ulrich Müller
2023-05-17  9:54 Ulrich Müller
2023-05-14 17:42 Ulrich Müller
2023-05-14 17:11 Sam James
2023-05-14  9:31 Ulrich Müller
2023-05-14  8:15 Ulrich Müller
2023-05-06 10:02 Ulrich Müller
2023-05-06  9:21 Arthur Zamarin
2023-05-06  9:21 Arthur Zamarin
2023-05-06  9:21 Arthur Zamarin
2023-05-06  9:21 Arthur Zamarin
2023-05-06  9:21 Arthur Zamarin
2023-05-06  9:21 Arthur Zamarin
2023-05-06  9:21 Arthur Zamarin
2023-05-06  9:21 Arthur Zamarin
2023-04-10  8:12 Ulrich Müller
2023-04-09 18:45 Arthur Zamarin
2023-04-09 18:45 Arthur Zamarin
2023-04-09 18:45 Arthur Zamarin
2023-04-09 18:45 Arthur Zamarin
2023-04-09 18:45 Arthur Zamarin
2023-04-09 18:45 Arthur Zamarin
2023-04-09 18:45 Arthur Zamarin
2023-04-09 18:45 Arthur Zamarin
2023-04-01 18:14 Arthur Zamarin
2023-04-01 18:14 Arthur Zamarin
2023-04-01 18:14 Arthur Zamarin
2023-04-01 18:14 Arthur Zamarin
2023-03-29  7:45 Ulrich Müller
2023-03-05 11:00 Ulrich Müller
2023-03-05 10:11 Ulrich Müller
2023-03-01  6:03 Arthur Zamarin
2023-03-01  6:03 Arthur Zamarin
2023-03-01  6:03 Arthur Zamarin
2023-03-01  6:03 Arthur Zamarin
2023-03-01  6:03 Arthur Zamarin
2023-03-01  6:03 Arthur Zamarin
2023-03-01  6:03 Arthur Zamarin
2023-03-01  6:03 Arthur Zamarin
2023-03-01  6:03 Arthur Zamarin
2023-03-01  6:03 Arthur Zamarin
2023-03-01  6:03 Arthur Zamarin
2023-03-01  6:03 Arthur Zamarin
2023-02-28 19:52 Ulrich Müller
2023-02-26 20:26 Ulrich Müller
2023-02-19 16:58 Ulrich Müller
2023-02-19 15:36 Ulrich Müller
2023-02-18 15:43 Ulrich Müller
2023-02-13  7:49 Ulrich Müller
2023-02-12 12:47 Ulrich Müller
2023-02-12 12:33 Ulrich Müller
2023-02-12 11:00 Ulrich Müller
2023-02-12 11:00 Ulrich Müller
2023-01-15 11:46 Ulrich Müller
2023-01-15 11:40 Ulrich Müller
2023-01-15 11:35 Ulrich Müller
2022-12-31 18:32 Jakov Smolić
2022-12-16  4:30 Sam James
2022-12-03 18:31 Ulrich Müller
2022-12-03 17:38 Arthur Zamarin
2022-12-03 17:38 Arthur Zamarin
2022-12-03 17:38 Arthur Zamarin
2022-12-03 17:38 Arthur Zamarin
2022-12-03 17:38 Arthur Zamarin
2022-12-03 17:38 Arthur Zamarin
2022-12-03 17:38 Arthur Zamarin
2022-12-03 17:38 Arthur Zamarin
2022-12-03 17:38 Arthur Zamarin
2022-12-02 18:12 Arthur Zamarin
2022-12-02 18:12 Arthur Zamarin
2022-12-02 18:12 Arthur Zamarin
2022-12-02 18:12 Arthur Zamarin
2022-12-02 18:12 Arthur Zamarin
2022-11-30 19:54 Ulrich Müller
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 19:17 Arthur Zamarin
2022-11-30 12:55 Ulrich Müller
2022-11-30 11:59 Ulrich Müller
2022-11-30  0:52 Sam James
2022-11-29 12:31 Ulrich Müller
2022-11-29 12:31 Ulrich Müller
2022-11-23 16:54 Ulrich Müller
2022-10-05 15:18 Ulrich Müller
2022-10-03 12:16 Ulrich Müller
2022-09-12 13:39 Ulrich Müller
2022-09-12 13:39 Ulrich Müller
2022-09-12 13:39 Ulrich Müller
2022-09-12 13:39 Ulrich Müller
2022-08-26  7:46 Sam James
2022-08-20 18:18 Ulrich Müller
2022-08-20  7:03 Arthur Zamarin
2022-08-20  4:31 Sam James
2022-08-20  4:30 Sam James
2022-08-20  4:30 Sam James
2022-08-19 19:32 Arthur Zamarin
2022-08-19 18:31 Arthur Zamarin
2022-08-19 18:28 Arthur Zamarin
2022-08-19 17:58 Ulrich Müller
2022-08-19 17:46 Arthur Zamarin
2022-08-10  7:49 Sam James
2022-08-02 18:11 Ulrich Müller
2022-07-15 16:25 Ulrich Müller
2022-07-14 10:14 Ulrich Müller
2022-07-14  8:45 Ulrich Müller
2022-07-05 12:02 Ulrich Müller
2022-07-05 12:02 Ulrich Müller
2022-06-30 14:36 Ulrich Müller
2022-06-27 10:37 Ulrich Müller
2022-06-26 10:34 Ulrich Müller
2022-06-07  6:44 Ulrich Müller
2022-05-19  7:47 Agostino Sarubbo
2022-05-16 19:41 Arthur Zamarin
2022-05-16 19:38 Arthur Zamarin
2022-05-15  8:14 Jakov Smolić
2022-05-14 22:16 Jakov Smolić
2022-05-14 21:49 Jakov Smolić
2022-05-14 21:49 Jakov Smolić
2022-05-07  6:13 Ulrich Müller
2022-05-07  6:13 Ulrich Müller
2022-05-06 21:32 Ulrich Müller
2022-05-06 20:03 Arthur Zamarin
2022-05-03 18:48 Arthur Zamarin
2022-04-30 19:09 Sam James
2022-04-30 19:09 Sam James
2022-04-30 19:09 Sam James
2022-04-30 19:09 Sam James
2022-04-20 12:25 Ulrich Müller
2022-04-11  6:44 Ulrich Müller
2022-04-04 12:44 Ulrich Müller
2022-04-04 12:44 Ulrich Müller
2022-04-04 12:44 Ulrich Müller
2022-03-31 11:38 Ulrich Müller
2022-03-31 11:38 Ulrich Müller
2022-03-31 11:38 Ulrich Müller
2022-03-30  7:18 Ulrich Müller
2022-03-26 21:35 Ulrich Müller
2022-03-13 18:22 Ulrich Müller
2022-02-13 23:01 Ulrich Müller
2022-01-15 17:58 Ulrich Müller
2022-01-15 17:46 Ulrich Müller
2022-01-15 17:46 Ulrich Müller
2022-01-15 13:42 Ulrich Müller
2022-01-15 13:03 Ulrich Müller
2022-01-15 13:00 Ulrich Müller
2022-01-15 13:00 Ulrich Müller
2022-01-01 10:51 James Le Cuirot
2021-10-01 16:54 Ulrich Müller
2021-09-25 19:08 Sam James
2021-08-26 16:24 Ulrich Müller
2021-08-26 14:52 Sam James
2021-08-26 14:52 Sam James
2021-08-26 14:52 Sam James
2021-08-24 23:26 Sam James
2021-08-24 23:26 Sam James
2021-08-24 23:26 Sam James
2021-08-23 22:16 Agostino Sarubbo
2021-08-23 10:48 Agostino Sarubbo
2021-08-23 10:47 Agostino Sarubbo
2021-08-23 10:46 Agostino Sarubbo
2021-08-23  5:35 Sam James
2021-08-23  5:35 Sam James
2021-08-23  5:35 Sam James
2021-07-24 19:37 Ulrich Müller
2021-07-18  9:06 Ulrich Müller
2021-07-18  9:06 Ulrich Müller
2021-07-18  9:06 Ulrich Müller
2021-07-18  9:06 Ulrich Müller
2021-07-12 14:52 Ulrich Müller
2021-07-12 11:49 Ulrich Müller
2021-07-11 18:49 Ulrich Müller
2021-07-11 18:45 Ulrich Müller
2021-07-04  7:29 Ulrich Müller
2021-06-16 10:40 Ulrich Müller
2021-06-07  6:25 Sergei Trofimovich
2021-06-03 16:26 Sam James
2021-06-03  8:23 Sam James
2021-06-02 16:44 Sam James
2021-06-01  6:57 Agostino Sarubbo
2021-06-01  6:36 Agostino Sarubbo
2021-05-31  7:58 Sam James
2021-05-31  5:41 Ulrich Müller
2021-05-30 23:13 Georgy Yakovlev
2021-05-26  8:14 Ulrich Müller
2021-05-17  4:57 Ulrich Müller
2021-05-16  7:30 Ulrich Müller
2021-05-16  7:30 Ulrich Müller
2021-04-11 11:59 Ulrich Müller
2021-03-26 17:49 Ulrich Müller
2021-03-26 17:49 Ulrich Müller
2021-03-26 17:49 Ulrich Müller
2021-03-18 16:38 Ulrich Müller
2021-02-15  9:30 Ulrich Müller
2021-02-13 10:36 Ulrich Müller
2021-02-13 10:36 Ulrich Müller
2021-02-13 10:36 Ulrich Müller
2021-02-12 15:22 Ulrich Müller
2021-02-08  9:52 Ulrich Müller
2021-02-06 23:00 Ulrich Müller
2021-02-06 23:00 Ulrich Müller
2021-02-05 21:34 Ulrich Müller
2021-02-05 12:29 Sam James
2021-02-02 23:46 Sam James
2021-02-01  4:44 Sam James
2021-01-30 18:39 Sam James
2021-01-29 14:08 Ulrich Müller
2021-01-28 19:03 Sam James
2021-01-27 14:49 Sam James
2021-01-27  9:29 Sam James
2021-01-06 13:03 Fabian Groffen
2020-11-28 12:19 Ulrich Müller
2020-11-28 12:19 Ulrich Müller
2020-11-24 18:26 Ulrich Müller
2020-11-24 18:26 Ulrich Müller
2020-11-24 16:06 Ulrich Müller
2020-11-24 11:03 Ulrich Müller
2020-11-24 11:03 Ulrich Müller
2020-11-09  9:35 Ulrich Müller
2020-09-18  8:26 Agostino Sarubbo
2020-09-13 18:36 Sam James
2020-09-13  8:30 Sergei Trofimovich
2020-09-12 17:04 Sam James
2020-09-12  6:28 Sam James
2020-09-12  2:07 Sam James
2020-08-29 14:24 Ulrich Müller
2020-08-29 11:44 Ulrich Müller
2020-08-22 14:31 Ulrich Müller
2020-08-12 10:55 Ulrich Müller
2020-08-11 19:00 Ulrich Müller
2020-08-11 16:09 Ulrich Müller
2020-08-11 16:09 Ulrich Müller
2020-08-11 16:09 Ulrich Müller
2020-08-06  8:47 Ulrich Müller
2020-08-05 13:18 Ulrich Müller
2020-08-01 18:09 Ulrich Müller
2020-08-01 18:09 Ulrich Müller
2020-05-12  8:45 Ulrich Müller
2020-05-02  9:25 Ulrich Müller
2020-04-07  9:41 Ulrich Müller
2020-04-04 11:07 Sergei Trofimovich
2020-03-03 14:17 Ulrich Müller
2020-03-02 23:41 Ulrich Müller
2020-03-02 11:49 Sergei Trofimovich
2020-02-22 17:08 Ulrich Müller
2020-02-17 16:33 Ulrich Müller
2020-02-07 18:18 Ulrich Müller
2020-01-06 12:38 Ulrich Müller
2020-01-06 11:23 Ulrich Müller
2019-12-23 19:46 Ulrich Müller
2019-12-23 19:39 Ulrich Müller
2019-12-23 19:39 Ulrich Müller
2019-12-21  9:54 Ulrich Müller
2019-12-21  9:54 Ulrich Müller
2019-12-18 10:06 Ulrich Müller
2019-12-18 10:06 Ulrich Müller
2019-12-07  7:58 Ulrich Müller
2019-11-27 13:15 Mikle Kolyada
2019-11-23 22:25 Ulrich Müller
2019-11-23 16:49 Agostino Sarubbo
2019-11-23 15:51 Agostino Sarubbo
2019-11-23 15:46 Agostino Sarubbo
2019-11-23 15:40 Agostino Sarubbo
2019-11-23  5:42 Aaron Bauman
2019-11-22 11:10 Ulrich Müller
2019-11-22 11:10 Ulrich Müller
2019-11-22 10:24 Agostino Sarubbo
2019-09-25 12:18 Ulrich Müller
2019-09-22 16:16 Ulrich Müller
2019-08-29 13:49 Ulrich Müller
2019-08-29 11:24 Ulrich Müller
2019-08-29 11:24 Ulrich Müller
2019-08-23 17:27 Ulrich Müller
2019-08-23 16:52 Matt Turner
2019-08-23 10:32 Ulrich Müller
2019-07-28 19:56 Mikle Kolyada
2019-07-26 13:18 Aaron Bauman
2019-07-01  7:55 Sergei Trofimovich
2019-06-28 11:42 Agostino Sarubbo
2019-06-27  7:31 Sergei Trofimovich
2019-06-27  7:26 Sergei Trofimovich
2019-06-27  7:23 Sergei Trofimovich
2019-06-26  6:50 Agostino Sarubbo
2019-06-25 20:05 Sergei Trofimovich
2019-06-25  8:34 Agostino Sarubbo
2019-06-25  7:46 Ulrich Müller
2019-06-06 21:24 Ulrich Müller
2019-04-12 17:30 Ulrich Müller
2019-04-12 17:30 Ulrich Müller
2019-04-02  8:21 Ulrich Müller
2019-03-29  8:08 Ulrich Müller
2019-03-22  9:48 Ulrich Müller
2018-12-27  7:52 Sergei Trofimovich
2018-12-27  7:52 Sergei Trofimovich
2018-11-17 15:01 Mikle Kolyada
2018-11-17 15:01 Mikle Kolyada
2018-11-17 15:01 Mikle Kolyada
2018-11-08 23:35 Sergei Trofimovich
2018-11-08 23:35 Sergei Trofimovich
2018-11-08 23:35 Sergei Trofimovich
2018-10-12  8:58 Tobias Klausmann
2018-10-12  7:33 Tobias Klausmann
2018-10-12  7:32 Tobias Klausmann
2018-10-06 20:06 Matt Turner
2018-10-06 20:06 Matt Turner
2018-10-06 20:06 Matt Turner
2018-10-06 20:06 Matt Turner
2018-10-06 20:06 Matt Turner
2018-09-30 21:38 Sergei Trofimovich
2018-09-30 21:38 Sergei Trofimovich
2018-09-30 21:38 Sergei Trofimovich
2018-09-28  9:05 Mikle Kolyada
2018-09-28  9:05 Mikle Kolyada
2018-09-28  9:05 Mikle Kolyada
2018-09-13 19:23 Tobias Klausmann
2018-09-02 11:16 Ulrich Müller
2018-09-02  6:40 Ulrich Müller
2018-08-30 18:40 Ulrich Müller
2018-08-30 18:40 Ulrich Müller
2018-08-30  4:44 Markus Meier
2018-08-24  5:26 Ulrich Müller
2018-08-23 17:08 Ulrich Müller
2018-08-23 17:08 Ulrich Müller
2018-08-14 19:15 Sergei Trofimovich
2018-08-11 18:55 Sergei Trofimovich
2018-08-10 14:34 Mikle Kolyada
2018-08-05  8:09 Ulrich Müller
2018-08-05  1:03 Thomas Deutschmann
2018-08-03 22:51 Mikle Kolyada
2018-07-22  0:32 Mikle Kolyada
2018-07-08 17:51 Ulrich Müller
2018-07-07 19:21 Ulrich Müller
2018-07-01 13:22 Ulrich Müller
2018-06-01 18:21 Ulrich Müller
2018-05-28 17:27 Ulrich Müller
2018-05-27 15:12 Mikle Kolyada
2018-04-26  7:11 Ulrich Müller
2018-04-26  5:33 Matt Turner
2018-04-24  6:58 Ulrich Müller
2018-04-17  7:40 Ulrich Müller
2018-04-15 21:18 Sergei Trofimovich
2018-04-15 17:10 Ulrich Müller
2018-04-15 16:36 Mikle Kolyada
2018-04-09 22:24 Ulrich Müller
2018-03-21 19:43 Sergei Trofimovich
2018-03-21  1:41 Matt Turner
2018-03-21  0:21 Ulrich Müller
2018-03-20 21:26 Ulrich Müller
2018-03-19 18:01 Ulrich Müller
2018-03-19 18:01 Ulrich Müller
2018-03-18 16:55 Ulrich Müller
2018-03-17 17:46 Matt Turner
2018-03-11 12:07 Ulrich Müller
2018-03-11  9:39 Mikle Kolyada
2018-03-11  2:16 Thomas Deutschmann
2018-03-08 23:03 Sergei Trofimovich
2018-03-01  9:58 Ulrich Müller
2018-02-22  8:07 Ulrich Müller
2018-02-20  7:48 Ulrich Müller
2018-02-19 22:27 Ulrich Müller
2018-02-19  9:42 Ulrich Müller
2018-02-19  9:42 Ulrich Müller
2018-02-11 16:35 Ulrich Müller
2018-02-11 15:43 Ulrich Müller
2018-02-11 11:23 Ulrich Müller
2018-02-10 20:32 Ulrich Müller
2018-01-26 23:20 Ulrich Müller
2018-01-26 23:20 Ulrich Müller
2018-01-22 18:24 Markus Meier
2017-12-11 20:54 Sergei Trofimovich
2017-12-10 23:58 Ulrich Müller
2017-12-10 23:58 Ulrich Müller
2017-12-07 21:03 Ulrich Müller
2017-12-03 11:12 Ulrich Müller
2017-12-01 11:20 Agostino Sarubbo
2017-10-03  0:42 Thomas Deutschmann
2017-09-24 17:30 Sergei Trofimovich
2017-09-24 17:30 Sergei Trofimovich
2017-09-24 17:30 Sergei Trofimovich
2017-09-23 15:43 Ulrich Müller
2017-09-23 13:55 Sergei Trofimovich
2017-09-23 13:55 Sergei Trofimovich
2017-09-23 13:55 Sergei Trofimovich
2017-09-16 20:33 Sergei Trofimovich
2017-09-16 20:33 Sergei Trofimovich
2017-09-16 20:33 Sergei Trofimovich
2017-09-15  4:42 Markus Meier
2017-09-15  4:42 Markus Meier
2017-09-15  4:42 Markus Meier
2017-09-14 17:49 Tobias Klausmann
2017-09-14 17:49 Tobias Klausmann
2017-09-14 17:48 Tobias Klausmann
2017-09-12  7:19 Sergei Trofimovich
2017-09-12  7:19 Sergei Trofimovich
2017-09-12  7:19 Sergei Trofimovich
2017-09-12  6:32 Ulrich Müller
2017-09-11 18:02 Ulrich Müller
2017-06-18 11:56 Alexis Ballier
2017-06-10 17:22 Ulrich Müller
2017-05-30  4:57 Markus Meier
2017-05-27 13:23 Tobias Klausmann
2017-05-26 14:59 Agostino Sarubbo
2017-05-26 14:05 Agostino Sarubbo
2017-05-26 13:48 Agostino Sarubbo
2017-05-25 11:00 Ulrich Müller
2017-05-25 11:00 Ulrich Müller
2017-04-21 21:55 Ulrich Müller
2017-04-11  6:43 Jeroen Roovers
2017-04-04 19:28 Tobias Klausmann
2017-03-28 10:44 Michael Weber
2017-03-28  9:56 Agostino Sarubbo
2017-03-26 12:59 Ulrich Müller
2017-03-18 11:54 Jeroen Roovers
2017-03-01  6:59 Ulrich Müller
2017-02-25 11:38 Ulrich Müller
2017-02-23 21:45 Michael Weber
2017-02-19 14:56 Ulrich Müller
2017-02-18  8:32 Ulrich Müller
2017-02-09 23:15 Ulrich Müller
2017-02-09 23:15 Ulrich Müller
2017-02-04 12:57 Ulrich Müller
2017-02-04 12:57 Ulrich Müller
2017-01-29 14:38 Fabian Groffen
2016-12-25 12:57 Ulrich Müller
2016-12-25 10:14 Agostino Sarubbo
2016-12-25 10:09 Agostino Sarubbo
2016-12-22 18:52 Ulrich Müller
2016-12-22 18:52 Ulrich Müller
2016-10-01 12:29 Jeroen Roovers
2016-10-01  7:48 Markus Meier
2016-09-17 20:29 Ulrich Müller
2016-09-17 20:29 Ulrich Müller
2016-09-17  8:27 Pacho Ramos
2016-09-04 13:17 Tobias Klausmann
2016-08-22  8:23 Ulrich Müller
2016-08-22  8:23 Ulrich Müller
2016-07-24 23:00 Ulrich Müller
2016-07-24 22:50 Ulrich Müller
2016-07-24 22:38 Ulrich Müller
2016-07-14  5:19 Ulrich Müller
2016-05-26 14:12 Tobias Klausmann
2016-03-29 20:43 Markus Meier
2016-03-20 12:30 Ulrich Müller
2016-03-19 17:19 Ulrich Müller
2016-03-05 21:39 Mikle Kolyada
2016-03-05 19:12 Ulrich Müller
2016-03-05 15:46 Mikle Kolyada
2016-02-13  7:54 Jeroen Roovers
2016-02-10 20:53 Markus Meier
2016-02-04 13:33 Tobias Klausmann
2016-02-01  8:14 Agostino Sarubbo
2016-01-31 11:07 Ulrich Müller
2016-01-17  2:36 Ulrich Müller
2015-12-21 16:43 Ulrich Müller
2015-12-21 14:46 Patrick Lauer
2015-12-20 20:29 Ulrich Müller
2015-08-24  5:16 Jeroen Roovers
2015-08-22  4:55 Jeroen Roovers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1680008143.ba7cc5e2b5850273eebdeb893e879099a8cef646.ulm@gentoo \
    --to=ulm@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox